SDL_GetGamepadProduct(3)

NAME
SDL_GetGamepadProduct - Get the USB product ID of an opened gamepad, if available.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetGamepadProduct(SDL_Gamepad *gamepad);

DESCRIPTION
If the product ID isn't available this function returns 0.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the USB product ID, or zero if unavailable.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadInstanceProduct(3)